
Smart Proxy - Bug #6208

Unable to overwrite/delete previously created DHCP entry

06/13/2014 09:54 AM - Jon Skarpeteig

Status: Rejected   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Using version 9999-trusty+scratchbuild+201406122210

Client side:

Unable to save

DHCP conflicts removal for fqdn task failed with the following error: ERF12-0635 [ProxyAPI::ProxyE

xception]: Unable to delete DHCP entry for 00:50:56:00:00:00 ([RestClient::BadRequest]: 400 Bad Re

quest) for proxy http:/fqdn:8443/dhcp

 Proxy side:

I, [2014-06-13T11:45:31.117569 #32228]  INFO -- : Enumerated hosts on 10.0.0.0

D, [2014-06-13T11:45:31.117700 #32228] DEBUG -- : Lazy loaded 10.0.0.0/255.255.255.0 records

E, [2014-06-13T11:45:31.118107 #32228] ERROR -- : 10.0.0.123 / 00:50:56:00:00:00 is static - unabl

e to delete

D, [2014-06-13T11:45:31.118198 #32228] DEBUG -- : /usr/share/foreman-proxy/bin/../lib/proxy/dhcp/s

erver/isc.rb:15:in `delRecord'

/usr/share/foreman-proxy/bin/../lib/dhcp_api.rb:109:in `DELETE /dhcp/:network/:record'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:863:in `call'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:863:in `route'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:521:in `instance_eval'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:521:in `route_eval'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:500:in `route!'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:497:in `catch'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:497:in `route!'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:476:in `each'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:476:in `route!'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:601:in `dispatch!'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:411:in `call!'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:566:in `instance_eval'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:566:in `invoke'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:566:in `catch'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:566:in `invoke'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:411:in `call!'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:399:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/showexceptions.rb:24:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/commonlogger.rb:20:in `_call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/commonlogger.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:979:in `call'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:1005:in `synchronize'

/usr/lib/ruby/gems/1.8/gems/sinatra-1.0/lib/sinatra/base.rb:979:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/content_length.rb:13:in `call'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/handler/webrick.rb:50:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'
/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

/usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/handler/webrick.rb:14:in `run'

/usr/share/foreman-proxy/bin/../lib/sinatra-patch.rb:42:in `run!'

/usr/share/foreman-proxy/bin/smart-proxy:44

History

#1 - 07/02/2014 06:46 AM - Dominic Cleal

- Category set to DHCP

How was the entry created?  All those created by Foreman are done via OMAPI and should have "dynamic" in the host { } definition inside

dhcpd.leases.

#2 - 11/20/2014 10:31 AM - Shlomi Zadok

Possible duplicate of #7352

#3 - 02/29/2016 09:29 AM - Anonymous

- Status changed from New to Rejected

No activity in over a year, closing the issue.
